• Rüdiger Sonderfeld's avatar
    Fix elpa support for Emacs 24.4. · 3b80a0db
    Rüdiger Sonderfeld authored
    `package-desc-vers' is obsolete (replaced by `package-desc-version')
    and `package-alist' has a different layout.
    
    el-get-elpa also calls `el-get-rmdir' in some cases with
    post-remove-fun as nil.
    
    * methods/el-get-elpa.el (el-get-elpa-update-available-p): Use
      `package-desc-version' if available.
    * el-get-core.el (el-get-rmdir): Only call post-remove-fun if non-nil.
    Signed-off-by: 's avatarRüdiger Sonderfeld <ruediger@c-plusplus.de>
    3b80a0db
el-get-core.el 18.1 KB